> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /moex/securities/search

> Search Moscow Exchange securities by ticker, name, ISIN or registration number

**Price:** 1 credit



## OpenAPI

````yaml /openapi/finance-markets.json post /api/moex/securities/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/moex/securities/search:
    post:
      tags:
        - /moex
      summary: /moex/securities/search
      description: >-
        Search Moscow Exchange securities by ticker, name, ISIN or registration
        number


        **Price:** 1 credit
      operationId: __api_moex_securities_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoexSecuritiesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MoexSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MoexSecuritiesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keyword:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        group:
          anyOf:
            - $ref: '#/components/schemas/MoexSecurityGroup'
            - type: 'null'
        engine:
          anyOf:
            - $ref: '#/components/schemas/MoexEngine'
            - type: 'null'
        market:
          anyOf:
            - $ref: '#/components/schemas/MoexMarket'
            - type: 'null'
        traded_only:
          type: boolean
          default: false
        language:
          $ref: '#/components/schemas/MoexLanguage'
          default: ru
      type: object
      required:
        - keyword
        - count
    MoexSearchResult:
      properties:
        '@type':
          type: string
          default: MoexSearchResult
        secid:
          type: string
        short_name:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        isin:
          anyOf:
            - type: string
            - type: 'null'
        regnumber:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        group:
          anyOf:
            - type: string
            - type: 'null'
        primary_board:
          anyOf:
            - type: string
            - type: 'null'
        is_traded:
          type: boolean
          default: false
        emitent_id:
          anyOf:
            - type: integer
            - type: 'null'
        emitent_title:
          anyOf:
            - type: string
            - type: 'null'
        emitent_inn:
          anyOf:
            - type: string
            - type: 'null'
        emitent_okpo:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - secid
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    MoexSecurityGroup:
      type: string
      enum:
        - stock_shares
        - stock_bonds
        - stock_index
        - stock_dr
        - stock_foreign_shares
        - stock_eurobond
        - stock_ppif
        - stock_etf
        - stock_qnv
        - stock_gcc
        - stock_deposit
        - stock_mortgage
        - currency_selt
        - currency_metal
        - currency_futures
        - currency_indices
        - currency_otcindices
        - futures_forts
        - futures_options
    MoexEngine:
      type: string
      enum:
        - stock
        - currency
        - futures
        - commodity
        - agro
        - otc
        - money
        - quotes
        - state
    MoexMarket:
      type: string
      enum:
        - shares
        - bonds
        - index
        - foreignshares
        - ndm
        - repo
        - ccp
        - otc
        - standard
        - classica
        - selt
        - forts
        - options
        - indicativerates
    MoexLanguage:
      type: string
      enum:
        - ru
        - en
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````